#
# spec file for package python-diskcache
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-diskcache
Version:        3.1.1
Release:        lp151.1.1
Summary:        Disk and file backed cache
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://www.grantjenks.com/docs/diskcache/
Source:         https://files.pythonhosted.org/packages/source/d/diskcache/diskcache-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python2-Django1
BuildArch:      noarch
%python_subpackages

%description
DiskCache: Disk Backed Cache

DiskCache is a disk and file backed cache library, written
in pure Python, and compatible with Django.

%prep
%setup -q -n diskcache-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
nosetests-%{python_bin_suffix}
# Django tests support only Django1 which is not in distribution for python3
nosetests-%{python3_bin_suffix} --exclude test_djangocache.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.1.1:
  * Fix various timeouts
  * Small fixes around
* Sun Jun 10 2018 jengelh@inai.de
- Remove metadata redundancies from description.
* Fri Jun  8 2018 petr@cervinka.net
- Initial package version
- Django related tests are excluded from python3 tests. Tests are made for Django1
  only. Django1 is for python2 only in distribution.
